GROUPADD(8)

NAMN
groupadd - skapa en ny grupp

SYNOPSIS

groupadd [-g GID [-o]] [-f] [-K NYCKEL=VÄRDE] grupp

BESKRIVNING

The groupadd command creates a new group account using the values specified on the command line plus the default values from the system. The new group will be entered into the system files as needed.

FLAGGOR

Flaggorna som gäller för kommandot groupadd är:

-f, --force
    This option causes the command to simply exit with success status if the specified group already exists. When used with -g, and the specified GID already exists, another (unique) GID is chosen (i.e. -g is turned off).

-g, --gidGID
    The numerical value of the group's ID. This value must be unique, unless the -o option is used. The value must be non-negative. The default is to use the smallest ID value greater than 999 and greater than every other group. Values between 0 and 999 are typically reserved for system accounts.

-h, --help
    Visa hjälpmeddelande och avsluta.

-K, --keyNYCKEL=VÄRDE
    Åsidosätter standardvärden i /etc/login.defs (GID_MIN, GID_MAX och andra). Flera flaggor av -K kan anges.

    Exempel: -K GID_MIN=100 -K GID_MAX=499

    Notera: -K GID_MIN=10,GID_MAX=499 fungerar ännu inte.

-o, --non-unique
    This option permits to add a group with a non-unique GID.

-p, --passwordLÖSENORD
    The encrypted password, as returned by crypt(3). The default is to disable the password.

-r, --system
    Create a system group.

    The numeric identifiers of new system groups are choosen in the SYS_GID_MIN-SYS_GID_MAX range, defined in login.defs, instead of GID_MIN-GID_MAX.

CONFIGURATION

The following configuration variables in /etc/login.defs change the behavior of this tool:

GID_MAX (number), GID_MIN (number)
    Range of group IDs used for the creation of regular groups by useradd, useradd, or newusers.

MAX_MEMBERS_PER_GROUP (number)
    Maximum members per group entry. When the maximum is reached, a new group entry (line) is started in /etc/group (with the same name, same password, and same GID).

    The default value is 0, meaning that there are no limits in the number of members in a group.

    This feature (split group) permits to limit the length of lines in the group file. This is useful to make sure that lines for NIS groups are not larger than 1024 characters.

    If you need to enforce such limit, you can use 25.

    Note: split groups may not be supported by all tools (even in the Shadow toolsuite. You should not use this variable unless you really need it.

SYS_GID_MAX (number), SYS_GID_MIN (number)
    Range of group IDs used for the creation of system groups by useradd, groupadd, or newusers.

FILER

/etc/group
    Gruppkontoinformation.

/etc/gshadow
    Säker gruppkontoinformation.

/etc/login.defs
    Shadow password suite configuration.

TÄNK PÅ

It is usually recommended to only use usernames that begin with a lower case letter or an underscore, and are only followed by lower case letters, digits, underscores, dashes, and optionally terminated by a dollar sign. In regular expression terms: [a-z_][a-z0-9_-]*[$]?

On Debian, the only constraints are that usernames must neither start with a dash ('-') nor contain a colon (':') or a whitespace (space:' ', end of line: '\n', tabulation: '\t', etc.).

Groupnames may only be up to 32 characters long.

You may not add a NIS or LDAP group. This must be performed on the corresponding server.

If the groupname already exists in an external group database such as NIS or LDAP, groupadd will deny the group creation request.

AVSLUTNINGSVÄRDEN

Kommandot groupadd avslutas med följande värden:

0
    lyckad

2
    ogiltig kommandosyntax

3
    ogiltigt argument till flagga

4
    GID inte unikt (när -o inte används)

9
    gruppnamn inte unikt

10
    kan inte uppdatera gruppfilen

SE OCKSÅ

chfn(1), chsh(1), passwd(1), gpasswd(8), groupdel(8), groupmod(8), login.defs(5), useradd(8), userdel(8), usermod(8).